Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet

# Class ProviderWebServiceImpl

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.container.service.server.AbstractService
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.ProviderWebServiceImpl

All Implemented Interfaces:
  `ProviderWebService`

public class ProviderWebServiceImpl extends ru.bitel.bgbilling.kernel.container.service.server.AbstractService implements ProviderWebService
Веб-сервис, реализующий функции платежной системы Paynet. Представляет собой набор методов для проведения, отмены, сверки платежей, а также получения информации об абоненте, такой как его фио, баланс и т.д.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.service.server.AbstractService

  `context, moduleId, userId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProviderWebServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelTransactionResult`
  `cancelTransaction(CancelTransactionArguments arguments)`
  Отмена проведенного платежа
  `ChangePasswordResult`
  `changePassword(ChangePasswordArguments arguments)`
  Смена пароля для системы Paynet.
  `CheckTransactionResult`
  `checkTransaction(CheckTransactionArguments arguments)`
  Проверка состояния платежа.
  `GetInformationResult`
  `getInformation(GetInformationArguments arguments)`
  Получение справочной информации об абоненте перед проведением платежа, такой как фио, баланс, сумма абонплат и т.д.
  `GetStatementResult`
  `getStatement(GetStatementArguments arguments)`
  Сверка по платежам за определенный период.
  `PerformTransactionResult`
  `performTransaction(PerformTransactionArguments arguments)`
  Проведение платежа.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.service.server.AbstractService

  `getConnection, getConnectionSet, getContract, getModuleSetup, getSetup, getSlaveConnection, getTrashConnection, getUserConfig, resetModuleSetup, tryCall, tryReturn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProviderWebServiceImpl

    public ProviderWebServiceImpl()

- ## Method Details

  - ### performTransaction

    public PerformTransactionResult performTransaction(PerformTransactionArguments arguments)
    Проведение платежа. Метод вызывается со стороны Paynet и уведомляет биллинг о том, что на определенный договор необходимо занести определенную сумму.
    Specified by:
      `performTransaction` in interface `ProviderWebService`
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.PerformTransactionResult

  - ### checkTransaction

    public CheckTransactionResult checkTransaction(CheckTransactionArguments arguments)
    Проверка состояния платежа.
    Specified by:
      `checkTransaction` in interface `ProviderWebService`
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.CheckTransactionResult

  - ### cancelTransaction

    public CancelTransactionResult cancelTransaction(CancelTransactionArguments arguments)
    Отмена проведенного платежа
    Specified by:
      `cancelTransaction` in interface `ProviderWebService`
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.CancelTransactionResult

  - ### getStatement

    public GetStatementResult getStatement(GetStatementArguments arguments)
    Сверка по платежам за определенный период.
    Specified by:
      `getStatement` in interface `ProviderWebService`
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.GetStatementResult

  - ### getInformation

    public GetInformationResult getInformation(GetInformationArguments arguments)
    Получение справочной информации об абоненте перед проведением платежа, такой как фио, баланс, сумма абонплат и т.д.
    Specified by:
      `getInformation` in interface `ProviderWebService`
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.GetInformationResult

  - ### changePassword

    public ChangePasswordResult changePassword(ChangePasswordArguments arguments)
    Смена пароля для системы Paynet. Пароль не меняем.
    Specified by:
      `changePassword` in interface `ProviderWebService`
    Parameters:
      `arguments` -
    Returns:
      returns com.provider.uws.ChangePasswordResult